Loading...
Searching...
No Matches
BALL::ShiftModel1D Class Reference

`#include <BALL/NMR/shiftModel1D.h>`

Inheritance diagram for BALL::ShiftModel1D:

## Public Types

Type definitions
enum | SPECTRUM_TYPE { H = 1 , N , C , H_ON_BACKBONE , N_BACKBONE , C_BACKBONE }
Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Public Member Functions

Constructors and Destructors
| ShiftModel1D ()
| ShiftModel1D (const String &filename, SPECTRUM_TYPE st, bool compute_shifts=true)
| ShiftModel1D (const String &filename, SPECTRUM_TYPE st, double origin, double dimension, double spacing, bool compute_shifts=true)
| ShiftModel1D (const ShiftModel1D &model)
virtual | ~ShiftModel1D ()
void | clear ()
Accessors
void | setFilename (const String &filename)
const String & | getFilename () const
const Parameters & | getParameters () const
const std::vector< Peak1D > & | getPeaks () const
void | setPeaks (std::vector< Peak1D > peaks)
const double & | getOrigin () const
void | setOrigin (const double &origin)
const double & | getDimension () const
void | setDimension (const double &dimension)
const double | getSpacing () const
void | setSystem (System *system)
const System * | getSystem () const
void | operator>> (Spectrum1D &spectrum)
Predicates
bool | isValid () const
Public Member Functions inherited from BALL::ShiftModule
| ShiftModule ()
| ShiftModule (Parameters &parameters, const String &name="")
| ShiftModule (const ShiftModule &module)
virtual | ~ShiftModule ()
const ShiftModule & | operator= (const ShiftModule &module)
void | setName (const String &name)
const String & | getName () const
void | setParameters (Parameters &parameters)
const Parameters * | getParameters () const
virtual void | init ()
bool | isValid () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Processor related methods

std::vector< Peak1D > | peaks_
double | origin_
double | dimension_
double | spacing_
SPECTRUM_TYPE | type_
Parameters | parameters_
System * | system_
bool | valid_
bool | compute_shifts_
| Flag for shift computation.
bool | start ()
bool | finish ()
Processor::Result | operator() (Composite &composite)
bool | init_ ()
bool | hasType_ (Atom *a, SPECTRUM_TYPE type)

## Additional Inherited Members

Static Public Attributes inherited from BALL::ShiftModule
static const char * | PROPERTY__SHIFT
static const char * | PROPERTY__EXPERIMENTAL__SHIFT
String | module_name_
Parameters * | parameters_
bool | valid_

## Detailed Description

A class representing a complete parameterized 1D NMR shift model. The model consists of peak list, a system, a spectrum type and parameters

Definition at line 18 of file shiftModel1D.h.

## Member Enumeration Documentation

## SPECTRUM_TYPE

enum BALL::ShiftModel1D::SPECTRUM_TYPE

Enumerator
H |
N |
C |
H_ON_BACKBONE |
N_BACKBONE |
C_BACKBONE |

Definition at line 29 of file shiftModel1D.h.

## Constructor & Destructor Documentation

## ShiftModel1D() [1/4]

BALL::ShiftModel1D::ShiftModel1D | ( |  | ) |

Default Constructor

## ShiftModel1D() [2/4]

BALL::ShiftModel1D::ShiftModel1D | ( | const String & | filename,
|  | SPECTRUM_TYPE | st,
|  | bool | compute_shifts = true )

Detailed Constructor. If compute_shifts is set to false, we assume that the shifts have been previously assigned, and will use the properties as we find them in the system.

## ShiftModel1D() [3/4]

BALL::ShiftModel1D::ShiftModel1D | ( | const String & | filename,
|  | SPECTRUM_TYPE | st,
|  | double | origin,
|  | double | dimension,
|  | double | spacing,
|  | bool | compute_shifts = true )

Detailed Constructor. If compute_shifts is set to false, we assume that the shifts have been previously assigned, and will use the properties as we find them in the system.

## ShiftModel1D() [4/4]

BALL::ShiftModel1D::ShiftModel1D | ( | const ShiftModel1D & | model | ) |

Copy constructor

## ~ShiftModel1D()

virtual BALL::ShiftModel1D::~ShiftModel1D | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

void BALL::ShiftModel1D::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ShiftModule.

## finish()

bool BALL::ShiftModel1D::finish | ( |  | ) |

virtual

Finish method

Reimplemented from BALL::ShiftModule.

## getDimension()

const double & BALL::ShiftModel1D::getDimension | ( |  | ) | const

inline

Get the dimension

Definition at line 126 of file shiftModel1D.h.

## getFilename()

const String & BALL::ShiftModel1D::getFilename | ( |  | ) | const

inline

Return the parameter filename.

Definition at line 83 of file shiftModel1D.h.

## getOrigin()

const double & BALL::ShiftModel1D::getOrigin | ( |  | ) | const

inline

Get the origin

Definition at line 112 of file shiftModel1D.h.

## getParameters()

const Parameters & BALL::ShiftModel1D::getParameters | ( |  | ) | const

inline

Definition at line 90 of file shiftModel1D.h.

## getPeaks()

const std::vector< Peak1D > & BALL::ShiftModel1D::getPeaks | ( |  | ) | const

inline

Get the peaks

Definition at line 97 of file shiftModel1D.h.

## getSpacing()

const double BALL::ShiftModel1D::getSpacing | ( |  | ) | const

inline

Get the spacing

Definition at line 140 of file shiftModel1D.h.

## getSystem()

const System * BALL::ShiftModel1D::getSystem | ( |  | ) | const

inline

Return the system

Definition at line 154 of file shiftModel1D.h.

## hasType_()

bool BALL::ShiftModel1D::hasType_ | ( | Atom * | a,
|  | SPECTRUM_TYPE | type )

protected

## init_()

bool BALL::ShiftModel1D::init_ | ( |  | ) |

protected

## isValid()

bool BALL::ShiftModel1D::isValid | ( |  | ) | const

Validity flag

## operator()()

Processor::Result BALL::ShiftModel1D::operator() | ( | Composite & | composite | ) |

virtual

Application method

Reimplemented from BALL::UnaryProcessor< Composite >.

## operator>>()

void BALL::ShiftModel1D::operator>> | ( | Spectrum1D & | spectrum | ) |

## setDimension()

void BALL::ShiftModel1D::setDimension | ( | const double & | dimension | ) |

inline

Set the dimension

Definition at line 133 of file shiftModel1D.h.

## setFilename()

void BALL::ShiftModel1D::setFilename | ( | const String & | filename | ) |

Set the parameter filename.

Exceptions

  BALL::Exception::FileNotFound |

## setOrigin()

void BALL::ShiftModel1D::setOrigin | ( | const double & | origin | ) |

inline

Set the origin

Definition at line 119 of file shiftModel1D.h.

## setPeaks()

void BALL::ShiftModel1D::setPeaks | ( | std::vector< Peak1D > | peaks | ) |

inline

Set the peaks

Definition at line 104 of file shiftModel1D.h.

## setSystem()

void BALL::ShiftModel1D::setSystem | ( | System * | system | ) |

inline

Set the system

Definition at line 147 of file shiftModel1D.h.

## start()

bool BALL::ShiftModel1D::start | ( |  | ) |

virtual

Start method

Reimplemented from BALL::ShiftModule.

## Member Data Documentation

## compute_shifts_

bool BALL::ShiftModel1D::compute_shifts_

protected

Flag for shift computation.

Definition at line 234 of file shiftModel1D.h.

## dimension_

double BALL::ShiftModel1D::dimension_

protected

Definition at line 210 of file shiftModel1D.h.

## origin_

double BALL::ShiftModel1D::origin_

protected

Definition at line 206 of file shiftModel1D.h.

## parameters_

Parameters BALL::ShiftModel1D::parameters_

protected

Definition at line 222 of file shiftModel1D.h.

## peaks_

std::vector<Peak1D> BALL::ShiftModel1D::peaks_

protected

Definition at line 202 of file shiftModel1D.h.

## spacing_

double BALL::ShiftModel1D::spacing_

protected

Definition at line 214 of file shiftModel1D.h.

## system_

System* BALL::ShiftModel1D::system_

protected

Definition at line 226 of file shiftModel1D.h.

## type_

SPECTRUM_TYPE BALL::ShiftModel1D::type_

protected

Definition at line 218 of file shiftModel1D.h.

## valid_

bool BALL::ShiftModel1D::valid_

protected

Definition at line 231 of file shiftModel1D.h.